function [c, ceq] = nonl_constr(Z, N, Ts, nx, nu, x0)
%no nonlinear inequality constraints
c = 0;

%constrain the first state to be x0
ceq(1:nx) = x0-Z(1:nx);

%all other nonlinear equality constraints
for i=1:N
    zk = Z((i-1)*(nx+nu)+1 : i*(nx+nu));
    xk = zk(1:nx);
    uk = zk(nx+1:end);

    xk_next = Z(i*(nx+nu)+1 : i*(nx+nu)+nx);

    [~,x] = ode45(@(t,x) ode(t,x,uk), [0 Ts], xk);
    xk_end = x(end,:);
    ceq(i*(nx)+1 : (i+1)*(nx)) = xk_end'-xk_next;
end

